local WritWorthy = _G['WritWorthy'] or {} -- defined in WritWorthy_Define.lua

-- A record of EN English strings that the ESO Client returns when
-- the ESO client language is set to EN English:
-- `SetCVar("language.2","en")`.
--
-- This copy of all those strings allows us to still show an EN English
-- WritWorthy, even if the ESO Client language is DE Deutsch/German.

WritWorthy.I18N = WritWorthy.I18N or {}

WritWorthy.I18N['client_si'] = {}
WritWorthy.I18N['client_si']['en'] = {
    ["SI_ARMORTYPE1"               ] = "Light"
,   ["SI_ARMORTYPE2"               ] = "Medium"
,   ["SI_ARMORTYPE3"               ] = "Heavy"
,   ["SI_ITEMFILTERTYPE15"         ] = "Woodworking"
,   ["SI_ITEMFILTERTYPE16"         ] = "Alchemy"
,   ["SI_ITEMFILTERTYPE17"         ] = "Enchanting"
,   ["SI_ITEMFILTERTYPE18"         ] = "Provisioning"
,   ["SI_ITEMFILTERTYPE25"         ] = "Jewelry"
,   ["SI_ITEMQUALITY1"             ] = "Normal"
,   ["SI_ITEMQUALITY2"             ] = "Fine"
,   ["SI_ITEMQUALITY3"             ] = "Superior"
,   ["SI_ITEMQUALITY4"             ] = "Epic"
,   ["SI_ITEMQUALITY5"             ] = "Legendary"
,   ["SI_ITEMTRAITTYPE1"           ] = "Powered"
,   ["SI_ITEMTRAITTYPE10"          ] = "Ornate"
,   ["SI_ITEMTRAITTYPE11"          ] = "Sturdy"
,   ["SI_ITEMTRAITTYPE12"          ] = "Impenetrable"
,   ["SI_ITEMTRAITTYPE13"          ] = "Reinforced"
,   ["SI_ITEMTRAITTYPE14"          ] = "Well-fitted"
,   ["SI_ITEMTRAITTYPE15"          ] = "Training"
,   ["SI_ITEMTRAITTYPE16"          ] = "Infused"
,   ["SI_ITEMTRAITTYPE17"          ] = "Invigorating"
,   ["SI_ITEMTRAITTYPE18"          ] = "Divines"
,   ["SI_ITEMTRAITTYPE19"          ] = "Ornate"
,   ["SI_ITEMTRAITTYPE2"           ] = "Charged"
,   ["SI_ITEMTRAITTYPE20"          ] = "Intricate"
,   ["SI_ITEMTRAITTYPE21"          ] = "Healthy"
,   ["SI_ITEMTRAITTYPE22"          ] = "Arcane"
,   ["SI_ITEMTRAITTYPE23"          ] = "Robust"
,   ["SI_ITEMTRAITTYPE24"          ] = "Ornate"
,   ["SI_ITEMTRAITTYPE25"          ] = "Nirnhoned"
,   ["SI_ITEMTRAITTYPE26"          ] = "Nirnhoned"
,   ["SI_ITEMTRAITTYPE27"          ] = "Intricate"
,   ["SI_ITEMTRAITTYPE28"          ] = "Swift"
,   ["SI_ITEMTRAITTYPE29"          ] = "Harmony"
,   ["SI_ITEMTRAITTYPE3"           ] = "Precise"
,   ["SI_ITEMTRAITTYPE30"          ] = "Triune"
,   ["SI_ITEMTRAITTYPE31"          ] = "Bloodthirsty"
,   ["SI_ITEMTRAITTYPE32"          ] = "Protective"
,   ["SI_ITEMTRAITTYPE33"          ] = "Infused"
,   ["SI_ITEMTRAITTYPE4"           ] = "Infused"
,   ["SI_ITEMTRAITTYPE5"           ] = "Defending"
,   ["SI_ITEMTRAITTYPE6"           ] = "Training"
,   ["SI_ITEMTRAITTYPE7"           ] = "Sharpened"
,   ["SI_ITEMTRAITTYPE8"           ] = "Decisive"
,   ["SI_ITEMTRAITTYPE9"           ] = "Intricate"
}

WritWorthy.I18N['fooddrink'] = {}
WritWorthy.I18N['fooddrink']['en'] = {
    [ 64221] = "Psijic Ambrosia"
,   [ 68251] = "Capon Tomato-Beet Casserole"
,   [ 68252] = "Jugged Rabbit in Preserves"
,   [ 68253] = "Longfin Pasty with Melon Sauce"
,   [ 68254] = "Withered Tree Inn Venison Pot Roast"
,   [ 68273] = "Senche-Tiger Single Malt"
,   [ 68274] = "Velothi View Vintage Malbec"
,   [ 68275] = "Orcrest Agony Pale Ale"
,   [ 68276] = "Lusty Argonian Maid Mazte"
,   [ 71056] = "Orzorga's Red Frothgar"
,   [ 71057] = "Orzorga's Tripe Trifle Pocket"
,   [ 71058] = "Orzorga's Blood Price Pie"
,   [ 71059] = "Orzorga's Smoked Bear Haunch"
}

WritWorthy.I18N['gear'] = {}
WritWorthy.I18N['gear']['en'] = {
    [ 43529] = "Rubedite Axe"
,   [ 43530] = "Rubedite Mace"
,   [ 43531] = "Rubedite Sword"
,   [ 43532] = "Rubedite Battle Axe"
,   [ 43533] = "Rubedite Maul"
,   [ 43534] = "Rubedite Greatsword"
,   [ 43535] = "Rubedite Dagger"
,   [ 43536] = "Platinum Ring"
,   [ 43537] = "Rubedite Cuirass"
,   [ 43538] = "Rubedite Sabatons"
,   [ 43539] = "Rubedite Gauntlets"
,   [ 43540] = "Rubedite Greaves"
,   [ 43541] = "Rubedite Pauldron"
,   [ 43542] = "Rubedite Girdle"
,   [ 43543] = "Ancestor Silk Robe"
,   [ 43544] = "Ancestor Silk Shoes"
,   [ 43545] = "Ancestor Silk Gloves"
,   [ 43546] = "Ancestor Silk Breeches"
,   [ 43547] = "Ancestor Silk Epaulets"
,   [ 43548] = "Ancestor Silk Sash"
,   [ 43549] = "Ruby Ash Bow"
,   [ 43550] = "Rubedo Leather Jack"
,   [ 43551] = "Rubedo Leather Boots"
,   [ 43552] = "Rubedo Leather Bracers"
,   [ 43553] = "Rubedo Leather Guards"
,   [ 43554] = "Rubedo Leather Arm Cops"
,   [ 43555] = "Rubedo Leather Belt"
,   [ 43556] = "Ruby Ash Shield"
,   [ 43557] = "Ruby Ash Inferno Staff"
,   [ 43558] = "Ruby Ash Ice Staff"
,   [ 43559] = "Ruby Ash Lightning Staff"
,   [ 43560] = "Ruby Ash Restoration Staff"
,   [ 43561] = "Platinum Necklace"
,   [ 43562] = "Rubedite Helm"
,   [ 43563] = "Rubedo Leather Helmet"
,   [ 43564] = "Ancestor Silk Hat"
,   [ 44241] = "Ancestor Silk Jerkin"
}

WritWorthy.I18N['mat'] = {}
WritWorthy.I18N['mat']['en'] = {
    [   810] = "Jade"
,   [   813] = "Turquoise"
,   [  1187] = "Clear Water"
,   [  4442] = "Emerald"
,   [  4456] = "Quartz"
,   [  4486] = "Ruby"
,   [ 16291] = "Citrine"
,   [ 23149] = "Fire Opal"
,   [ 23165] = "Carnelian"
,   [ 23171] = "Garnet"
,   [ 23173] = "Sapphire"
,   [ 23203] = "Chysolite"
,   [ 23204] = "Amethyst"
,   [ 23219] = "Diamond"
,   [ 23221] = "Almandine"
,   [ 26802] = "Frost Mirriam"
,   [ 26954] = "Garlic"
,   [ 27035] = "Isinglass"
,   [ 27043] = "Honey"
,   [ 27048] = "Metheglin"
,   [ 27049] = "Lemon"
,   [ 27052] = "Ginger"
,   [ 27057] = "Cheese"
,   [ 27058] = "Seasoning"
,   [ 27059] = "Bervez Juice"
,   [ 27063] = "Saltrice"
,   [ 27064] = "Millet"
,   [ 27100] = "Flour"
,   [ 28603] = "Tomato"
,   [ 28604] = "Greens"
,   [ 28609] = "Game"
,   [ 28610] = "Jazbay Grapes"
,   [ 28636] = "Rose"
,   [ 28639] = "Rye"
,   [ 28666] = "Seaweed"
,   [ 29030] = "Rice"
,   [ 30148] = "Blue Entoloma"
,   [ 30149] = "Stinkhorn"
,   [ 30151] = "Emetic Russula"
,   [ 30152] = "Violet Coprinus"
,   [ 30153] = "Namira's Rot"
,   [ 30154] = "White Cap"
,   [ 30155] = "Luminous Russula"
,   [ 30156] = "Imp Stool"
,   [ 30157] = "Blessed Thistle"
,   [ 30158] = "Lady's Smock"
,   [ 30159] = "Wormwood"
,   [ 30160] = "Bugloss"
,   [ 30161] = "Corn Flower"
,   [ 30162] = "Dragonthorn"
,   [ 30163] = "Mountain Flower"
,   [ 30164] = "Columbine"
,   [ 30165] = "Nirnroot"
,   [ 30166] = "Water Hyacinth"
,   [ 30219] = "Bloodstone"
,   [ 30221] = "Sardonyx"
,   [ 33150] = "Flint"
,   [ 33194] = "Bone"
,   [ 33251] = "Molybdenum"
,   [ 33252] = "Adamantite"
,   [ 33253] = "Obsidian"
,   [ 33254] = "Nickel"
,   [ 33255] = "Moonstone"
,   [ 33256] = "Corundum"
,   [ 33257] = "Manganese"
,   [ 33258] = "Starmetal"
,   [ 33752] = "Red Meat"
,   [ 33753] = "Fish"
,   [ 33754] = "White Meat"
,   [ 33755] = "Bananas"
,   [ 33756] = "Small Game"
,   [ 33758] = "Potato"
,   [ 33768] = "Comberry"
,   [ 33771] = "Jasmine"
,   [ 33772] = "Coffee"
,   [ 33773] = "Mint"
,   [ 33774] = "Yeast"
,   [ 34305] = "Pumpkin"
,   [ 34307] = "Radish"
,   [ 34308] = "Melon"
,   [ 34309] = "Beets"
,   [ 34311] = "Apples"
,   [ 34321] = "Poultry"
,   [ 34323] = "Corn"
,   [ 34324] = "Carrots"
,   [ 34329] = "Barley"
,   [ 34330] = "Lotus"
,   [ 34333] = "Guarana"
,   [ 34334] = "Bittergreen"
,   [ 34335] = "Yerba Mate"
,   [ 34345] = "Surilie Grapes"
,   [ 34346] = "Ginkgo"
,   [ 34347] = "Ginseng"
,   [ 34348] = "Wheat"
,   [ 34349] = "Acai Berry"
,   [ 42869] = "Worms, Saltwater Bait"
,   [ 42870] = "Guts, Lake Bait"
,   [ 42871] = "Crawlers, Foul Bait"
,   [ 45831] = "Oko"
,   [ 45832] = "Makko"
,   [ 45833] = "Deni"
,   [ 45834] = "Okoma"
,   [ 45835] = "Makkoma"
,   [ 45836] = "Denima"
,   [ 45837] = "Kuoko"
,   [ 45838] = "Rakeipa"
,   [ 45839] = "Dekeipa"
,   [ 45840] = "Meip"
,   [ 45841] = "Haoko"
,   [ 45842] = "Deteri"
,   [ 45843] = "Okori"
,   [ 45846] = "Oru"
,   [ 45847] = "Taderi"
,   [ 45848] = "Makderi"
,   [ 45849] = "Kaderi"
,   [ 45853] = "Rekuta"
,   [ 45854] = "Kuta"
,   [ 46149] = "Bronze"
,   [ 46150] = "Argentum"
,   [ 46151] = "Daedra Heart"
,   [ 46152] = "Palladium"
,   [ 54170] = "Honing Stone"
,   [ 54171] = "Dwarven Oil"
,   [ 54172] = "Grain Solvent"
,   [ 54173] = "Tempering Alloy"
,   [ 54174] = "Hemming"
,   [ 54175] = "Embroidery"
,   [ 54176] = "Elegant Lining"
,   [ 54177] = "Dreugh Wax"
,   [ 54178] = "Pitch"
,   [ 54179] = "Turpen"
,   [ 54180] = "Mastic"
,   [ 54181] = "Rosin"
,   [ 56862] = "Fortified Nirncrux"
,   [ 56863] = "Potent Nirncrux"
,   [ 57587] = "Dwemer Frame"
,   [ 59922] = "Charcoal of Remorse"
,   [ 64222] = "Perfect Roe"
,   [ 64489] = "Rubedite Ingot"
,   [ 64501] = "Lorkhan's Tears"
,   [ 64502] = "Sanded Ruby Ash"
,   [ 64504] = "Ancestor Silk"
,   [ 64506] = "Rubedo Leather"
,   [ 64508] = "Jehade"
,   [ 64509] = "Rejera"
,   [ 64685] = "Ferrous Salts"
,   [ 64687] = "Goldscale"
,   [ 64689] = "Malachite"
,   [ 64713] = "Laurel"
,   [ 68340] = "Itade"
,   [ 68341] = "Repora"
,   [ 68342] = "Hakeijo"
,   [ 69555] = "Cassiterite"
,   [ 71538] = "Rogue's Soot"
,   [ 71582] = "Auric Tusk"
,   [ 71584] = "Potash"
,   [ 71736] = "Ancient Sandstone"
,   [ 71738] = "Eagle Feather"
,   [ 71740] = "Dragon Scute"
,   [ 71742] = "Lion Fang"
,   [ 71766] = "Azure Plasm"
,   [ 75365] = "Alkahest"
,   [ 75370] = "Fine Chalk"
,   [ 75373] = "Pristine Shroud"
,   [ 76910] = "Tainted Blood"
,   [ 76914] = "Polished Shilling"
,   [ 77581] = "Torchbug Thorax"
,   [ 77583] = "Beetle Scuttle"
,   [ 77584] = "Spider Egg"
,   [ 77585] = "Butterfly Wing"
,   [ 77587] = "Fleshfly Larva"
,   [ 77589] = "Scrib Jelly"
,   [ 77590] = "Nightshade"
,   [ 77591] = "Mudcrab Chitin"
,   [ 79304] = "Black Beeswax"
,   [ 79305] = "Boiled Carapace"
,   [ 79672] = "Defiled Whiskers"
,   [ 81994] = "Oxblood Fungus"
,   [ 81996] = "Pearl Sand"
,   [ 81998] = "Star Sapphire"
,   [ 82000] = "Amber Marble"
,   [ 82002] = "Grinstones"
,   [ 82004] = "Night Pumice"
,   [ 96388] = "Wolfsbane Incense"
,   [114283] = "Stalhrim Shard"
,   [114983] = "Distilled Slowsilver"
,   [114984] = "Leviathan Scrimshaw"
,   [121518] = "Volcanic Viridian"
,   [121519] = "Wrought Ferrofungus"
,   [121520] = "Lustrous Sphalerite"
,   [125476] = "Ash Canvas"
,   [130059] = "Refined Bonemold Resin"
,   [130060] = "Polished Scarab Elytra"
,   [132617] = "Tempered Brass"
,   [132618] = "Tenebrous Cord"
,   [132619] = "Minotaur Bezoar"
,   [132620] = "Bloodroot Flux"
,   [134798] = "Desecrated Grave Soil"
,   [135146] = "Platinum Ounce"
,   [135147] = "Terne Plating"
,   [135148] = "Iridium Plating"
,   [135149] = "Zircon Plating"
,   [135150] = "Chromium Plating"
,   [135155] = "Cobalt"
,   [135156] = "Antimony"
,   [135157] = "Zinc"
,   [137951] = "Vitrified Malondo"
,   [137953] = "Culanda Lacquer"
,   [137957] = "Warrior's Heart Ashes"
,   [137958] = "Dragon Bone"
,   [137961] = "Infected Flesh"
,   [139409] = "Dawn-Prism"
,   [139410] = "Titanium"
,   [139411] = "Aurbic Amber"
,   [139412] = "Gilding Wax"
,   [139413] = "Dibellium"
,   [139414] = "Slaughterstone"
,   [140267] = "Sea Serpent Hide"
,   [141740] = "Gryphon Plume"
}

WritWorthy.I18N['motif'] = {}
WritWorthy.I18N['motif']['en'] = {
    [     1] = "Breton"
,   [     2] = "Redguard"
,   [     3] = "Orc"
,   [     4] = "Dark Elf"
,   [     5] = "Nord"
,   [     6] = "Argonian"
,   [     7] = "High Elf"
,   [     8] = "Wood Elf"
,   [     9] = "Khajiit"
,   [    10] = "Unique"
,   [    11] = "Thieves Guild"
,   [    12] = "Dark Brotherhood"
,   [    13] = "Malacath"
,   [    14] = "Dwemer"
,   [    15] = "Ancient Elf"
,   [    16] = "Order of the Hour"
,   [    17] = "Barbaric"
,   [    18] = "Bandit"
,   [    19] = "Primal"
,   [    20] = "Daedric"
,   [    21] = "Trinimac"
,   [    22] = "Ancient Orc"
,   [    23] = "Daggerfall Covenant"
,   [    24] = "Ebonheart Pact"
,   [    25] = "Aldmeri Dominion"
,   [    26] = "Mercenary"
,   [    27] = "Celestial"
,   [    28] = "Glass"
,   [    29] = "Xivkyn"
,   [    30] = "Soul Shriven"
,   [    31] = "Draugr"
,   [    32] = "Maormer"
,   [    33] = "Akaviri"
,   [    34] = "Imperial"
,   [    35] = "Yokudan"
,   [    36] = "Universal"
,   [    37] = "Reach Winter"
,   [    38] = "Tsaesci"
,   [    39] = "Minotaur"
,   [    40] = "Ebony"
,   [    41] = "Abah's Watch"
,   [    42] = "Skinchanger"
,   [    43] = "Morag Tong"
,   [    44] = "Ra Gada"
,   [    45] = "Dro-m'Athra"
,   [    46] = "Assassins League"
,   [    47] = "Outlaw"
,   [    48] = "Redoran"
,   [    49] = "Hlaalu"
,   [    50] = "Militant Ordinator"
,   [    51] = "Telvanni"
,   [    52] = "Buoyant Armiger"
,   [    53] = "Frostcaster"
,   [    54] = "Ashlander"
,   [    55] = "Worm Cult"
,   [    56] = "Silken Ring"
,   [    57] = "Mazzatun"
,   [    58] = "Grim Harlequin"
,   [    59] = "Hollowjack"
,   [    60] = "Refabricated"
,   [    61] = "Bloodforge"
,   [    62] = "Dreadhorn"
,   [    65] = "Apostle"
,   [    66] = "Ebonshadow"
,   [    67] = "Undaunted"
,   [    68] = "USE ME"
,   [    69] = "Fang Lair"
,   [    70] = "Scalecaller"
,   [    71] = "Psijic Order"
,   [    72] = "Sapiarch"
,   [    73] = "Welkynar"
,   [    74] = "Dremora"
,   [    75] = "Pyandonean"
,   [    76] = "Divine Prosecution"
,   [    77] = "Huntsman"
,   [    78] = "Silver Dawn"
,   [    79] = "Dead-Water"
,   [    80] = "Honor Guard"
,   [    81] = "Elder Argonian"
,   [    82] = "Coldsnap"
,   [    83] = "Meridian"
}

WritWorthy.I18N['set'] = {}
WritWorthy.I18N['set']['en'] = {
    [    37] = "Death's Wind"
,   [    38] = "Twilight's Embrace"
,   [    40] = "Night's Silence"
,   [    41] = "Whitestrake's Retribution"
,   [    43] = "Armor of the Seducer"
,   [    44] = "Vampire's Kiss"
,   [    48] = "Magnus' Gift"
,   [    51] = "Night Mother's Gaze"
,   [    54] = "Ashen Grip"
,   [    73] = "Oblivion's Foe"
,   [    74] = "Spectre's Eye"
,   [    75] = "Torug's Pact"
,   [    78] = "Hist Bark"
,   [    79] = "Willow's Path"
,   [    80] = "Hunding's Rage"
,   [    81] = "Song of Lamae"
,   [    82] = "Alessia's Bulwark"
,   [    84] = "Orgnum's Scales"
,   [    87] = "Eyes of Mara"
,   [    92] = "Kagrenac's Hope"
,   [    95] = "Shalidor's Curse"
,   [   148] = "Way of the Arena"
,   [   161] = "Twice-Born Star"
,   [   176] = "Noble's Conquest"
,   [   177] = "Redistributor"
,   [   178] = "Armor Master"
,   [   207] = "Law of Julianos"
,   [   208] = "Trial by Fire"
,   [   219] = "Morkuldin"
,   [   224] = "Tava's Favor"
,   [   225] = "Clever Alchemist"
,   [   226] = "Eternal Hunt"
,   [   240] = "Kvatch Gladiator"
,   [   241] = "Varen's Legacy"
,   [   242] = "Pelinal's Aptitude"
,   [   323] = "Assassin's Guile"
,   [   324] = "Daedric Trickery"
,   [   325] = "Shacklebreaker"
,   [   351] = "Innate Axiom"
,   [   352] = "Fortified Brass"
,   [   353] = "Mechanical Acuity"
,   [   385] = "Adept Rider"
,   [   386] = "Sload's Semblance"
,   [   387] = "Nocturnal's Favor"
,   [   408] = "Grave-Stake Collector"
,   [   409] = "Naga Shaman"
,   [   410] = "Might of the Lost Legion"
}

